#include <bits/stdc++.h>

using namespace std;
int main()
{
    int a,b;
    long long int s=0;

    scanf("%d%d",&a,&b);
        for(int i=1;i<a/b-1;i++)
        s+=b;
    if(a%b){s+=b+1;} else {s+=b;}
    if(a%b)s+=b+a%b-1; else s+=b;

    if(s!=a || a/b<3) {printf("-1");return 0;}


    for(int i=1;i<a/b-1;i++)
        printf("%d 0\n",b);
    if(a%b){printf("%d 1\n",b);} else printf("%d 0\n",b);
    if(a%b) printf("%d %d",b,a%b-1); else printf("%d 0",b);
return 0;
}